-- Fill page with hsl based color noise.

--@TBCONFIG SLIDER: Hue, 0.0
--@TBCONFIG SLIDER: Saturation, 100.0
--@TBCONFIG SLIDER: Luminance, 50.0

for y = 0, height - 1 do
  for x = 0, width - 1 do
    local h, s, l
    h = math.random(0,sliderVal1 * 359)
    s = math.random(0,sliderVal2 * 100) / 100
    l = math.random(0,sliderVal3 * 100) / 100
    set_alpha(x, y, 1)
    set_hsl(x, y, h, s, l)
  end
end
